Custody providers
Get Custody Wallet Count
Returns the org's total custody wallet count and counts per custody provider.
GEThttps://api.toku.com/tga/get-custody-wallet-count
Required scope: wallets:read
curl --request GET \
--url 'https://api.toku.com/tga/get-custody-wallet-count' \
--header 'Authorization: Bearer <token>'200 response
{
"totalCount": 0,
"countsByProvider": {
"SAFE": 0,
"SAFE_PROPOSER": 0,
"ANCHORAGE": 0,
"FIREBLOCKS": 0,
"SQUADS": 0,
"COINBASE": 0,
"FILECOIN_SELF_CUSTODY": 0
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
totalCountintegercountsByProviderobjectShow child attributes
SAFEintegerSAFE_PROPOSERintegerANCHORAGEintegerFIREBLOCKSintegerSQUADSintegerCOINBASEintegerFILECOIN_SELF_CUSTODYinteger400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits